curl --request PATCH \
--url https://api.shoppex.io/dev/v1/customers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"name": "<string>",
"surname": "<string>",
"phone": "<string>",
"phone_country_code": "<string>",
"country_code": "<string>",
"street_address": "<string>",
"additional_address_info": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "<string>"
}
'{
"data": {
"id": "<string>",
"shop_id": "<string>",
"email": "<string>",
"name": "<string>",
"surname": "<string>",
"phone": "<string>",
"phone_country_code": "<string>",
"country_code": "<string>",
"street_address": "<string>",
"additional_address_info": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "<string>",
"affiliate_revenue": 123,
"affiliate_revenue_currency": "<string>",
"affiliate_revenue_percent": 123,
"customer_balance": 123,
"customer_balance_currency": "<string>",
"created_at": 123
}
}curl --request PATCH \
--url https://api.shoppex.io/dev/v1/customers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"name": "<string>",
"surname": "<string>",
"phone": "<string>",
"phone_country_code": "<string>",
"country_code": "<string>",
"street_address": "<string>",
"additional_address_info": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "<string>"
}
'{
"data": {
"id": "<string>",
"shop_id": "<string>",
"email": "<string>",
"name": "<string>",
"surname": "<string>",
"phone": "<string>",
"phone_country_code": "<string>",
"country_code": "<string>",
"street_address": "<string>",
"additional_address_info": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "<string>",
"affiliate_revenue": 123,
"affiliate_revenue_currency": "<string>",
"affiliate_revenue_percent": 123,
"customer_balance": 123,
"customer_balance_currency": "<string>",
"created_at": 123
}
}Use your API key with the Bearer scheme. Get your key from Dashboard → Settings → API Keys. Format: Authorization: Bearer shx_...
112Default Response
Show child attributes